package cn.superdesk.uniorder.dao.mapper.organisation;

import cn.superdesk.uniorder.dao.entity.organisation.SysEnterprise;
import cn.superdesk.uniorder.dao.entity.organisation.SysEnterpriseExample;
import cn.superdesk.uniorder.dto.vo._function.select.SelectOptionVirt;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysEnterpriseMapper {
    long countByExample(SysEnterpriseExample example);

    int deleteByExample(SysEnterpriseExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SysEnterprise record);

    int insertSelective(SysEnterprise record);

    List<SysEnterprise> selectByExample(SysEnterpriseExample example);

    SysEnterprise selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SysEnterprise record, @Param("example") SysEnterpriseExample example);

    int updateByExample(@Param("record") SysEnterprise record, @Param("example") SysEnterpriseExample example);

    int updateByPrimaryKeySelective(SysEnterprise record);

    int updateByPrimaryKey(SysEnterprise record);

    List<SelectOptionVirt> queryQchjcCustomerList();
}